Введение
A Sketcher SketchObject, or formally a Sketcher::SketchObject
, is the base element to create 2D objects with the Sketcher Workbench.
The Sketcher::SketchObject
is derived from the Part Part2DObject, which means it is a Part Feature object specialized for 2D geometry. Like the Part2DObject, the SketchObject can be attached to planes and faces. In addition, the SketchObject can handle geometrical constraints.
Упрощённая диаграмма связей между основными объектами FreeCAD
Применение
See Sketcher NewSketch.
Свойства
See Property for all property types that scripted objects can have.
The Sketcher SketchObject (Sketcher::SketchObject
class) is derived from the Part Part2DObject (Part::Part2DObject
class) and inherits all its properties.
The Sketcher SketchObject also has the following additional properties in the property editor. Hidden properties can be shown by using the Show hidden command in the context menu of the property editor.
Данные
Эскиз
- Данные (Hidden)Geometry (
GeometryList
): a list of Part geometries that exist inside the sketch. - ДанныеConstraints: named constraints, if they exist; otherwise it is an empty list
[]
. - ДанныеExternal Geometry (
LinkSubList
): a list of Part geometries outside this Sketch that are used for reference. - Данные (Hidden)Fully Constrained (
Bool
): (read-only) iftrue
the sketch is fully constrained.
Вид
Auto Constraints
- ВидAutoconstraints (
Bool
): iftrue
constraints are automatically added when geometry is drawn. - ВидAvoid Redundant (
Bool
): iftrue
redundant auto-constraints are avoided.
Grid
- ВидGrid Auto (
Bool
): iftrue
the grid is resized based on the boundingbox of the geometry of the sketch. - ВидGrid Size (
Length
): the size of the spacing of the local grid lines in the 3D view; it defaults to10 mm
. - ВидShow Grid (
Bool
): iftrue
a grid local to the object will be displayed in the 3D view. This grid is independent of the Draft Grid.
Visibility automation
- ВидEditing Workbench (
String
): name of the workbench to activate when editing the sketch; it defaults toSketcherWorkbench
. - ВидForce Ortho (
Bool
): iftrue
the camera will be forced to orthographic view mode when the sketch is opened. - ВидHide Dependent (
Bool
): iftrue
all objects that depend on the sketch are hidden when the sketch is opened. - ВидRestore Camera (
Bool
): iftrue
the camera position is saved before opening the sketch, and is restored after closing it. - ВидSection View (
Bool
): iftrue
only (parts of) objects behind the sketch plane are visible while the sketch is being edited. - ВидShow Links (
Bool
): iftrue
all objects used in links to external geometry are shown when the sketch is opened. - ВидShow Support (
Bool
): iftrue
all objects this sketch is attached to are shown when the sketch is opened. - Вид (Hidden)Tempo Vis (
PythonObject
): a custom class associated with this object, that handles hiding and showing other objects when opening and closing the sketch.
Программирование
See also: FreeCAD Scripting Basics and scripted objects.
See Part Feature for the general information on adding objects to the document.
A SketchObject is created with the addObject()
method of the document.
import FreeCAD as App
doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObject", "Sketch")
obj.Label = "Custom label"
For Python subclassing you should create the Sketcher::SketchObjectPython
object.
import FreeCAD as App
doc = App.newDocument()
obj = App.ActiveDocument.addObject("Sketcher::SketchObjectPython", "CustomSketch")
obj.Label = "Custom label"
Эта страница получена от https://wiki.freecad.org/Sketcher_SketchObject